# Generated by Django 4.0.6 on 2022-08-02 10:11

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Item',
            fields=[
                ('item_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('data_criacao', models.DateTimeField()),
                ('data_atualizacao', models.DateTimeField()),
                ('data_exclusao', models.DateTimeField(blank=True, null=True)),
                ('acao', models.DecimalField(decimal_places=0, max_digits=3)),
                ('etapa', models.DecimalField(decimal_places=0, max_digits=3)),
                ('especificacao', models.CharField(max_length=150)),
                ('quantidade', models.DecimalField(decimal_places=0, max_digits=9)),
                ('unidade', models.CharField(max_length=30)),
                ('valor_unitario', models.FloatField(db_column='valor unitario')),
                ('inicio_etapa', models.DateField()),
                ('fim_etapa', models.DateField()),
                ('valor_etapa', models.FloatField()),
                ('valor_acao', models.FloatField()),
                ('categoria_despesa', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'item',
                'managed': False,
            },
        ),
    ]
